#include "testservice.h"
#include <QDebug>

TestService::TestService()
{
    qDebug() << "Construct";

    connect(&_thread, &QThread::started, this, &TestService::onStarted);
    connect(&_timer, &QTimer::timeout, this, &TestService::onTimer);

    _timer.moveToThread(&_thread);
    moveToThread(&_thread);

    qDebug() << "Prior to _thread.start()";
    _thread.start();
    qDebug() << "After call to _thread.start()";
}

void TestService::onStarted()
{
    qDebug() << "Start";

    _timer.start(1000);
}

void TestService::onTimer()
{
    qDebug() << "Timer";
}
